import request from '@/utils/request'

// 查询装备泥浆泵列表
export function listJtzbNjb(query) {
  return request({
    url: '/jtzb/jtzbNjb/list',
    method: 'get',
    params: query
  })
}

// 查询装备泥浆泵详细
export function getJtzbNjb(id) {
  return request({
    url: '/jtzb/jtzbNjb/' + id,
    method: 'get'
  })
}

// 新增装备泥浆泵
export function addJtzbNjb(data) {
  return request({
    url: '/jtzb/jtzbNjb',
    method: 'post',
    data: data
  })
}

// 修改装备泥浆泵
export function updateJtzbNjb(data) {
  return request({
    url: '/jtzb/jtzbNjb',
    method: 'put',
    data: data
  })
}

// 删除装备泥浆泵
export function delJtzbNjb(id) {
  return request({
    url: '/jtzb/jtzbNjb/' + id,
    method: 'delete'
  })
}
